{{- if .Values.persistence.velero.enabled }}
apiVersion: velero.io/v1
kind: Schedule
metadata:
  name: {{ template "openldap.fullname" . }}-{{ .Release.Namespace }}
  labels:
    app: {{ .Release.Name }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  schedule: {{ .Values.persistence.velero.schedule | quote }}
  template:
    includedNamespaces:
      - {{ .Release.Namespace }}
    ttl: {{ .Values.persistence.velero.ttl | quote }}
{{- end }}
